#ifndef EYEMAP_H
#define EYEMAP_H

#include <QWidget>
#include <memory>

#include "spdlog/spdlog.h"

#include "OscData.h"

namespace Ui {
class EyeMap;
}

class EyeMap : public QWidget
{
    Q_OBJECT

public:
    explicit EyeMap(QWidget *parent = nullptr);
    ~EyeMap();


private:
    Ui::EyeMap *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
    OscData m_oscData;
};

#endif // EYEMAP_H
